Main Page Class List Class Members

List of all members | Public Member Functions
Nv::Blast::ExtPxStressSolverImpl Class Referencefinal

`#include <NvBlastExtPxStressSolverImpl.h>`

Inheritance diagram for Nv::Blast::ExtPxStressSolverImpl:

## Public Member Functions
| ExtPxStressSolverImpl (ExtPxFamily &family, ExtStressSolverSettings settings)
virtual ExtStressSolver & | getSolver () const override
virtual void | onActorCreated (ExtPxFamily &family, ExtPxActor &actor) final
virtual void | onActorDestroyed (ExtPxFamily &family, ExtPxActor &actor) final
virtual void | release () override
virtual void | update (bool doDamage) override

## Additional Inherited Members
Static Public Member Functions inherited from Nv::Blast::ExtPxStressSolver
static ExtPxStressSolver * | create (ExtPxFamily &family, ExtStressSolverSettings settings=ExtStressSolverSettings())

## Constructor & Destructor Documentation

## ◆ ExtPxStressSolverImpl()

Nv::Blast::ExtPxStressSolverImpl::ExtPxStressSolverImpl | ( | ExtPxFamily & | family,
|  | ExtStressSolverSettings | settings
| ) |  |

## Member Function Documentation

## ◆ getSolver()

virtual ExtStressSolver& Nv::Blast::ExtPxStressSolverImpl::getSolver | ( |  | ) | const
| inline override virtual

Get actual ExtStressSolver used.

Returns
  the pointer to ExtStressSolver used internally.

Implements Nv::Blast::ExtPxStressSolver.

## ◆ onActorCreated()

virtual void Nv::Blast::ExtPxStressSolverImpl::onActorCreated | ( | ExtPxFamily & | family,
|  | ExtPxActor & | actor
| ) |  |
| final virtual

Interface to be implemented by the user. Will be called when ExtPxFamily creates new actor.

Parameters

  [in] | family | Corresponding ExtPxFamily with new actor.
  [in] | actor | The new actor.

Implements Nv::Blast::ExtPxListener.

## ◆ onActorDestroyed()

virtual void Nv::Blast::ExtPxStressSolverImpl::onActorDestroyed | ( | ExtPxFamily & | family,
|  | ExtPxActor & | actor
| ) |  |
| final virtual

Interface to be implemented by the user. Will be called when ExtPxFamily destroy an actor.

Parameters

  [in] | family | Corresponding ExtPxFamily.
  [in] | actor | The actor to be destroyed.

Implements Nv::Blast::ExtPxListener.

## ◆ release()

virtual void Nv::Blast::ExtPxStressSolverImpl::release | ( |  | ) |
| override virtual

Release this stress solver.

Implements Nv::Blast::ExtPxStressSolver.

## ◆ update()

virtual void Nv::Blast::ExtPxStressSolverImpl::update | ( | bool | doDamage | ) |
| override virtual

Update stress solver.

Calculate stress and optionally apply damage.

Parameters

  [in] | doDamage | If 'true' damage will be applied after stress solver.

Implements Nv::Blast::ExtPxStressSolver.

The documentation for this class was generated from the following file:

- sdk/extensions/physx/source/physics/NvBlastExtPxStressSolverImpl.h